#include <iostream>
#include <algorithm>

using namespace std;

long long razn(long long s, long long n, long long m, long long gr)
{
    return (2 * s + (gr - 1) * n) * gr / 2 - (2 * s + gr * n + (m - 1) * n) * (m - gr) / 2;
}

int main()
{
    int t;
    long long n, m, Sum1, Sum2, l, r, x, var, var1, var2, answer1, answer2, local1, local2;
    cin >> t;

    for (int q = 0; q < t; q++) {
        cin >> n >> m;
        Sum1 = ((n - 1) * m + 2) * n / 2;
        l = 1;
        r = m;
        while (r - l > 1) {
            x = (l + r) / 2;
            var = razn(Sum1, n, m, x);
            if (var < 0)
                l = x;
            else
                r = x;
        }

        var1 = abs(razn(Sum1, n, m, l));
        var2 = abs(razn(Sum1, n, m, r));
        if (var1 <= var2) {
            answer1 = var1;
            local1 = l + 1;
        } else {
            answer1 = var2;
            local1 = r + 1;
        }

        Sum2 = (m + 1) * m / 2;
        l = 1;
        r = n;
        while (r - l > 1) {
            x = (l + r) / 2;
            var = razn(Sum2, m * m, n, x);
            if (var < 0)
                l = x;
            else
                r = x;
        }

        var1 = abs(razn(Sum2, m * m, n, l));
        var2 = abs(razn(Sum2, m * m, n, r));
        if (var1 <= var2) {
            answer2 = var1;
            local2 = l + 1;
        } else {
            answer2 = var2;
            local2 = r + 1;
        }

        if (n == 1 && m == 1)
            cout << "V " << 1 << "\n";
        else if (answer1 <= answer2)
            cout << "V " << local1 << "\n";
        else
            cout << "H " << local2 << "\n";
    }
    return 0;
}
